#FROM php:7.3-stretch
FROM php:7.3-apache

RUN apt-get update; apt-get install -yq git vim zip;
RUN curl -sS https://getcomposer.org/installer | php
RUN mv composer.phar /usr/local/bin/composer
RUN export PATH=$PATH:/root/.composer/vendor/bin

RUN docker-php-ext-install pdo pdo_mysql
RUN a2enmod rewrite

ENV APACHE_DOCUMENT_ROOT /var/www/html/public
RUN sed -ri -e 's!/var/www/html!${APACHE_DOCUMENT_ROOT}!g' /etc/apache2/sites-available/*.conf
RUN sed -ri -e 's!/var/www/!${APACHE_DOCUMENT_ROOT}!g' /etc/apache2/apache2.conf /etc/apache2/conf-available/*.conf

# XDEBUG
RUN yes | pecl install xdebug
RUN docker-php-ext-enable xdebug

# Enable Remote xdebug
RUN echo "xdebug.mode=debug" >> /usr/local/etc/php/conf.d/xdebug.ini
RUN echo "xdebug.default_enable=on" >> /usr/local/etc/php/conf.d/xdebug.ini
RUN echo "xdebug.client_port=9000" >> /usr/local/etc/php/conf.d/xdebug.ini
RUN echo "xdebug.discover_client_host=on" >> /usr/local/etc/php/conf.d/xdebug.ini


# RUN chmod 777 -R /var/www/html/storage

# RUN apt-get install nodejs -y; apt-get install npm -y;
# RUN useradd -u 1000 containerUser
# RUN usermod -a -G root containerUser